#pragma once

#include "CoreMinimal.h"
#include "UObject/SoftObjectPtr.h"
#include "MaterialOutputSettings.generated.h"

class UMaterialInterface;

USTRUCT(BlueprintType)
struct FMaterialOutputSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInterface> ParentMaterialOverride;

public:
	SIMPLYGONUOBJECTS_API FMaterialOutputSettings();
};

FORCEINLINE uint32 GetTypeHash(const FMaterialOutputSettings) { return 0; }
